org.apache.coyote.http11

## Class InternalNioInputBuffer.SocketInputBuffer

- java.lang.Object
- - org.apache.coyote.http11.InternalNioInputBuffer.SocketInputBuffer

- All Implemented Interfaces:
    InputBuffer
  Enclosing class:
    InternalNioInputBuffer

      protected class InternalNioInputBuffer.SocketInputBuffer
      extends Object
      implements InputBuffer

  This class is an input buffer which will read its data from an input stream.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InternalNioInputBuffer.SocketInputBuffer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doRead(ByteChunk chunk, Request req)` Read bytes into the specified chunk.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InternalNioInputBuffer.SocketInputBuffer

          protected InternalNioInputBuffer.SocketInputBuffer()

  - ### Method Detail

    - #### doRead

          public int doRead(ByteChunk chunk,
                   Request req)
                     throws IOException

      Read bytes into the specified chunk.
      Specified by:
        `doRead` in interface `InputBuffer`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.